Bug 205987 - Failure in odbc_exec() using oracle-supplied odbc driver
Failure in odbc_exec() using oracle-supplied odbc driver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-11 04:53 EDT by Cristiano
Modified: 2008-03-10 00:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 00:29:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
PHP Bug Tracker 34852 None None None Never

  None (edit)
Description Cristiano 2006-09-11 04:53:26 EDT
Description of problem:

Warning: odbc_exec() [function.odbc-exec]: SQL error: [unixODBC][Driver
Manager]Driver does not support this function, SQL state IM001 in
SQLSetStmtOption in /var/www/html/odbctest.php on line 12
Failure in odbc_exe:
[unixODBC][Driver Manager]Driver does not support this function

Version-Release number of selected component (if applicable):
php-5.0.4-10.5

How reproducible:
<?php
   $db_user= "xxx";
   $db_pass= "xxx";
   $dsn= "oracle";
   $connect=odbc_connect($dsn, $db_user, $db_pass);
   $query = "insert into TEST (ID,NOME) values (3,'hello');";

  if (!$connect) {
  printf("Error connecting to $database.<br>\n");
  return;
  }
  $result = odbc_exec($connect, $query);
  /* The exec will fail with the decribed error */
  if (!$result) {
  printf("Failure in odbc_exe:<br>\n");
  printf("%s<br>\n",htmlentities(odbc_errormsg($connect)));
  return;
  }
  odbc_close($connect);
?>

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Joe Orton 2006-11-15 11:15:25 EST
What leads you to expect this is a bug in php-odbc not the Oracle ODBC driver?
Comment 2 petrosyan 2008-03-10 00:29:37 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.